# Audit Log

## Overview

{% hint style="info" %}

* This feature is available with the [**Paradime Security pack**](https://www.paradime.io/security).
* Your API keys ***must*** have the [Audit Logs viewer capability](/app-help/developers/generate-api-keys.md).
  {% endhint %}

The Audit Log module enables you to access and retrieve audit logs associated with your Paradime account.

This feature provides you with a detailed and comprehensive history of all actions, modifications, and changes that have occurred within your Paradime account, allowing for thorough tracking and monitoring of account activity.

### Fetching all audit logs

Retrieves all audit logs.

{% tabs %}
{% tab title="Args" %}
**`none`**
{% endtab %}

{% tab title="Returns" %}
*`List[AuditLog]`*: A list of audit log objects.
{% endtab %}
{% endtabs %}

```python
# First party modules
from paradime import Paradime

# Create a Paradime client with your API credentials
paradime = Paradime( api_endpoint="API_ENDPOINT", api_key="API_KEY", api_secret="API_SECRET")

# Fetch all audit logs
audit_logs = paradime.audit_log.get_all()
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.paradime.io/app-help/developers/python-sdk/modules/audit-log.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
